Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::DIIPollable Interface Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA::DIIPollable:

[legend]
Collaboration diagram for CORBA::DIIPollable:

[legend]
List of all members.

## Public Types
typedef DIIPollable_ptr | _ptr_type
typedef DIIPollable_var | _var_type
## Public Methods
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
DIIPollable_ptr | _duplicate (DIIPollable_ptr obj)
DIIPollable_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DIIPollable_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DIIPollable_ptr | _nil (void)
| Return a NULL object. More...
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| DIIPollable (void)
virtual | ~DIIPollable (void)
## Private Methods
| DIIPollable (const DIIPollable &)
void | operator= (const DIIPollable &)

## Member Typedef Documentation

typedef DIIPollable_ptr CORBA::DIIPollable::_ptr_type

| Reimplemented from CORBA::Pollable.

typedef DIIPollable_var CORBA::DIIPollable::_var_type

| Reimplemented from CORBA::Pollable.

## Constructor & Destructor Documentation

CORBA::DIIPollable::DIIPollable | ( | void |  | ) | `[protected]`

virtual CORBA::DIIPollable::~DIIPollable | ( | void |  | ) | `[protected, virtual]`

CORBA::DIIPollable::DIIPollable | ( | const DIIPollable & |  | ) | `[private]`

## Member Function Documentation

DIIPollable_ptr CORBA::DIIPollable::_duplicate | ( | DIIPollable_ptr | obj | ) | `[static]`

virtual const char* CORBA::DIIPollable::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Pollable.

DIIPollable_ptr CORBA::DIIPollable::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Pollable.

DIIPollable_ptr CORBA::DIIPollable::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Pollable.

virtual void* CORBA::DIIPollable::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA::Pollable.

DIIPollable_ptr CORBA::DIIPollable::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Pollable.

void CORBA::DIIPollable::operator= | ( | const DIIPollable & |  | ) | `[private]`

## Member Data Documentation

int CORBA::DIIPollable::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA::Pollable.

The documentation for this interface was generated from the following files:

- Pollable.pidl
- PollableC.h